Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Typedefs | Functions
timev.h File Reference

Go to the source code of this file.

## Macros
#define | TIME_SCALE 1000000000
#define | TYPEOF_TIMEVAL_TV_SEC time_t
#define | TYPEOF_TIMEVAL_TV_USEC long

## Typedefs
typedef unsigned long | unsigned_time_t

## Functions
| PACKED_STRUCT_UNALIGNED (struct vtm { VALUE year;VALUE subsecx;VALUE utc_offset;VALUE zone;unsigned int yday:9;unsigned int mon:4;unsigned int mday:5;unsigned int hour:5;unsigned int min:6;unsigned int sec:6;unsigned int wday:3;unsigned int isdst:2;})
VALUE | rb_time_zone_abbreviation (VALUE zone, VALUE time)

## Macro Definition Documentation

## ◆ TIME_SCALE

#define TIME_SCALE 1000000000

Definition at line 22 of file timev.h.

## ◆ TYPEOF_TIMEVAL_TV_SEC

#define TYPEOF_TIMEVAL_TV_SEC time_t

Definition at line 25 of file timev.h.

## ◆ TYPEOF_TIMEVAL_TV_USEC

#define TYPEOF_TIMEVAL_TV_USEC long

Definition at line 31 of file timev.h.

## Typedef Documentation

## ◆ unsigned_time_t

typedef unsigned long unsigned_time_t

Definition at line 36 of file timev.h.

## Function Documentation

## ◆ PACKED_STRUCT_UNALIGNED()

PACKED_STRUCT_UNALIGNED | ( | struct vtm { VALUE year;VALUE subsecx;VALUE utc_offset;VALUE zone;unsigned int yday:9;unsigned int mon:4;unsigned int mday:5;unsigned int hour:5;unsigned int min:6;unsigned int sec:6;unsigned int wday:3;unsigned int isdst:2;} |  | ) |

## ◆ rb_time_zone_abbreviation()

VALUE rb_time_zone_abbreviation | ( | VALUE | zone,
|  | VALUE | time
| ) |  |

Definition at line 5650 of file time.c.

References NIL_P, and rb_check_string_type().